# Slice

class `psi4.core.``Slice`

  Bases: `pybind11_builtins.pybind11_object`

  Slicing for Matrix and Vector objects

  Methods Summary

  `begin`(self) | Get the first element of this slice
  `end`(self) | Get the past-the-end element of this slice

  Methods Documentation

  `begin`(self: psi4.core.Slice) → psi4.core.Dimension

    Get the first element of this slice

  `end`(self: psi4.core.Slice) → psi4.core.Dimension

    Get the past-the-end element of this slice

  `begin`(self: psi4.core.Slice) → psi4.core.Dimension

    Get the first element of this slice

  `end`(self: psi4.core.Slice) → psi4.core.Dimension

    Get the past-the-end element of this slice